package labss.lang.il.builders;

import org.whole.lang.builders.GenericBuilderContext;
import org.whole.lang.builders.IBuilder;
import org.whole.lang.contexts.IEntityContext;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import labss.lang.il.reflect.ILFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class ILSpecificBuilderAdapter extends GenericBuilderContext implements
		IILBuilder {
	public ILSpecificBuilderAdapter(IBuilder strategy) {
		super(strategy);
	}

	public ILSpecificBuilderAdapter(IBuilder strategy,
			IEntityContext entityContext) {
		super(strategy, entityContext);
	}

	public void exp() {
		wFeature(ILFeatureDescriptorEnum.exp);
	}

	public void exp2() {
		wFeature(ILFeatureDescriptorEnum.exp2);
	}

	public void exp1() {
		wFeature(ILFeatureDescriptorEnum.exp1);
	}

	public void expression() {
		wFeature(ILFeatureDescriptorEnum.expression);
	}

	public void variable() {
		wFeature(ILFeatureDescriptorEnum.variable);
	}

	public void falseBody() {
		wFeature(ILFeatureDescriptorEnum.falseBody);
	}

	public void trueBody() {
		wFeature(ILFeatureDescriptorEnum.trueBody);
	}

	public void condition() {
		wFeature(ILFeatureDescriptorEnum.condition);
	}

	public void visit() {
	}

	public void BlockStatement() {
		wEntity(ILEntityDescriptorEnum.BlockStatement);
	}

	public void BlockStatement_() {
		wEntity_(ILEntityDescriptorEnum.BlockStatement);
	}

	public void BlockStatement_(int initialCapacity) {
		wEntity_(ILEntityDescriptorEnum.BlockStatement, initialCapacity);
	}

	public void _BlockStatement() {
		_wEntity(ILEntityDescriptorEnum.BlockStatement);
	}

	public void IfStatement() {
		wEntity(ILEntityDescriptorEnum.IfStatement);
	}

	public void IfStatement_() {
		wEntity_(ILEntityDescriptorEnum.IfStatement);
	}

	public void _IfStatement() {
		_wEntity(ILEntityDescriptorEnum.IfStatement);
	}

	public void IfElseStatement() {
		wEntity(ILEntityDescriptorEnum.IfElseStatement);
	}

	public void IfElseStatement_() {
		wEntity_(ILEntityDescriptorEnum.IfElseStatement);
	}

	public void _IfElseStatement() {
		_wEntity(ILEntityDescriptorEnum.IfElseStatement);
	}

	public void WhileStatement() {
		wEntity(ILEntityDescriptorEnum.WhileStatement);
	}

	public void WhileStatement_() {
		wEntity_(ILEntityDescriptorEnum.WhileStatement);
	}

	public void _WhileStatement() {
		_wEntity(ILEntityDescriptorEnum.WhileStatement);
	}

	public void AssignmentStatement() {
		wEntity(ILEntityDescriptorEnum.AssignmentStatement);
	}

	public void AssignmentStatement_() {
		wEntity_(ILEntityDescriptorEnum.AssignmentStatement);
	}

	public void _AssignmentStatement() {
		_wEntity(ILEntityDescriptorEnum.AssignmentStatement);
	}

	public void BooleanLiteral() {
		wEntity(ILEntityDescriptorEnum.BooleanLiteral);
	}

	public void BooleanLiteral(boolean value) {
		wEntity(ILEntityDescriptorEnum.BooleanLiteral, value);
	}

	public void IntLiteral() {
		wEntity(ILEntityDescriptorEnum.IntLiteral);
	}

	public void IntLiteral(int value) {
		wEntity(ILEntityDescriptorEnum.IntLiteral, value);
	}

	public void Variable() {
		wEntity(ILEntityDescriptorEnum.Variable);
	}

	public void Variable(String value) {
		wEntity(ILEntityDescriptorEnum.Variable, value);
	}

	public void Addition() {
		wEntity(ILEntityDescriptorEnum.Addition);
	}

	public void Addition_() {
		wEntity_(ILEntityDescriptorEnum.Addition);
	}

	public void _Addition() {
		_wEntity(ILEntityDescriptorEnum.Addition);
	}

	public void Subtraction() {
		wEntity(ILEntityDescriptorEnum.Subtraction);
	}

	public void Subtraction_() {
		wEntity_(ILEntityDescriptorEnum.Subtraction);
	}

	public void _Subtraction() {
		_wEntity(ILEntityDescriptorEnum.Subtraction);
	}

	public void Multiplication() {
		wEntity(ILEntityDescriptorEnum.Multiplication);
	}

	public void Multiplication_() {
		wEntity_(ILEntityDescriptorEnum.Multiplication);
	}

	public void _Multiplication() {
		_wEntity(ILEntityDescriptorEnum.Multiplication);
	}

	public void Division() {
		wEntity(ILEntityDescriptorEnum.Division);
	}

	public void Division_() {
		wEntity_(ILEntityDescriptorEnum.Division);
	}

	public void _Division() {
		_wEntity(ILEntityDescriptorEnum.Division);
	}

	public void And() {
		wEntity(ILEntityDescriptorEnum.And);
	}

	public void And_() {
		wEntity_(ILEntityDescriptorEnum.And);
	}

	public void _And() {
		_wEntity(ILEntityDescriptorEnum.And);
	}

	public void Or() {
		wEntity(ILEntityDescriptorEnum.Or);
	}

	public void Or_() {
		wEntity_(ILEntityDescriptorEnum.Or);
	}

	public void _Or() {
		_wEntity(ILEntityDescriptorEnum.Or);
	}

	public void Not() {
		wEntity(ILEntityDescriptorEnum.Not);
	}

	public void Not_() {
		wEntity_(ILEntityDescriptorEnum.Not);
	}

	public void _Not() {
		_wEntity(ILEntityDescriptorEnum.Not);
	}

	public void Equals() {
		wEntity(ILEntityDescriptorEnum.Equals);
	}

	public void Equals_() {
		wEntity_(ILEntityDescriptorEnum.Equals);
	}

	public void _Equals() {
		_wEntity(ILEntityDescriptorEnum.Equals);
	}

	public void LessThan() {
		wEntity(ILEntityDescriptorEnum.LessThan);
	}

	public void LessThan_() {
		wEntity_(ILEntityDescriptorEnum.LessThan);
	}

	public void _LessThan() {
		_wEntity(ILEntityDescriptorEnum.LessThan);
	}

	public void GreaterThan() {
		wEntity(ILEntityDescriptorEnum.GreaterThan);
	}

	public void GreaterThan_() {
		wEntity_(ILEntityDescriptorEnum.GreaterThan);
	}

	public void _GreaterThan() {
		_wEntity(ILEntityDescriptorEnum.GreaterThan);
	}
}
