package labss.lang.il.model.adapters;

import org.whole.lang.factories.AbstractEntityRegistry;
import labss.lang.il.reflect.ILEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class ILAdaptersEntityRegistry extends AbstractEntityRegistry {
	public ILAdaptersEntityRegistry() {
		super(ILEntityDescriptorEnum.instance);
	}

	protected void createPrototypes() {
		put(new StatementAdapter());
		put(new BlockStatementAdapter());
		put(new IfStatementAdapter());
		put(new IfElseStatementAdapter());
		put(new WhileStatementAdapter());
		put(new AssignmentStatementAdapter());
		put(new ExpressionAdapter());
		put(new LiteralAdapter());
		put(new BooleanLiteralAdapter());
		put(new IntLiteralAdapter());
		put(new VariableAdapter());
		put(new AdditionAdapter());
		put(new SubtractionAdapter());
		put(new MultiplicationAdapter());
		put(new DivisionAdapter());
		put(new AndAdapter());
		put(new OrAdapter());
		put(new NotAdapter());
		put(new EqualsAdapter());
		put(new LessThanAdapter());
		put(new GreaterThanAdapter());
	}
}
