package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class VariableAdapter extends AbstractEntityAdapter implements Variable {
	private static final long serialVersionUID = 1;

	public VariableAdapter(IEntity implementor) {
		super(implementor);
	}

	public VariableAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Variable> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.Variable;
	}

	public String getValue() {
		return wStringValue();
	}

	public void setValue(String value) {
		wSetValue(value);
	}
}
