package labss.lang.il.visitors;

import labss.lang.il.model.*;
import org.whole.lang.visitors.IUnaryVisitor;
import org.whole.lang.visitors.IVisitor;

/** 
 * @generator Whole
 */
public class ILTraverseAllSwitchVisitor extends ILIdentityVisitor implements
		IUnaryVisitor {
	protected IVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = visitor1;
	}

	public ILTraverseAllSwitchVisitor(IVisitor visitor1) {
		wSetVisitor1(visitor1);
	}

	public void visit(BlockStatement entity) {
		for (int i = 0; i < entity.wSize(); i++)
			visitor1.visit(entity.wGet(i));
	}

	public void visit(IfStatement entity) {
		visitor1.visit(entity.getCondition());
		visitor1.visit(entity.getTrueBody());
	}

	public void visit(IfElseStatement entity) {
		visitor1.visit(entity.getCondition());
		visitor1.visit(entity.getTrueBody());
		visitor1.visit(entity.getFalseBody());
	}

	public void visit(WhileStatement entity) {
		visitor1.visit(entity.getCondition());
		visitor1.visit(entity.getTrueBody());
	}

	public void visit(AssignmentStatement entity) {
		visitor1.visit(entity.getVariable());
		visitor1.visit(entity.getExpression());
	}

	public void visit(Addition entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(Subtraction entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(Multiplication entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(Division entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(And entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(Or entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(Not entity) {
		visitor1.visit(entity.getExp());
	}

	public void visit(Equals entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(LessThan entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(GreaterThan entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}
}
