package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import java.util.Date;

/** 
 * @generator Whole
 */
public class DataAdapter extends AbstractEntityAdapter implements Data {
	private static final long serialVersionUID = 1;

	public DataAdapter(IEntity implementor) {
		super(implementor);
	}

	public DataAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Data> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Data;
	}

	public Date getValue() {
		return wDateValue();
	}

	public void setValue(Date value) {
		wSetValue(value);
	}
}
