package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class CircuitoImpl extends AbstractSimpleEntity implements Circuito {
	private static final long serialVersionUID = 1;

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Circuito_ord;
	}

	public EntityDescriptor<Circuito> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Circuito;
	}

	private Nome nome;

	public Nome getNome() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public void setNome(Nome nome) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.nome, this.nome,
				this.nome = nome);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getNome();
		case 1:
			return getLuogo();
		case 2:
			return getLunghezzaTracciato();
		case 3:
			return getCurveADestra();
		case 4:
			return getCurveASinistra();
		case 5:
			return getGiri();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setNome(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Nome));
			break;
		case 1:
			setLuogo(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Nome));
			break;
		case 2:
			setLunghezzaTracciato(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Numero));
			break;
		case 3:
			setCurveADestra(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Numero));
			break;
		case 4:
			setCurveASinistra(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Numero));
			break;
		case 5:
			setGiri(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Numero));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Nome luogo;

	public Nome getLuogo() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.luogo, luogo);
	}

	public void setLuogo(Nome luogo) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.luogo, this.luogo,
				this.luogo = luogo);
	}

	private Numero lunghezzaTracciato;

	public Numero getLunghezzaTracciato() {
		return notifyRequested(
				MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato,
				lunghezzaTracciato);
	}

	public void setLunghezzaTracciato(Numero lunghezzaTracciato) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato,
				this.lunghezzaTracciato,
				this.lunghezzaTracciato = lunghezzaTracciato);
	}

	private Numero curveADestra;

	public Numero getCurveADestra() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.curveADestra,
				curveADestra);
	}

	public void setCurveADestra(Numero curveADestra) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.curveADestra,
				this.curveADestra, this.curveADestra = curveADestra);
	}

	private Numero curveASinistra;

	public Numero getCurveASinistra() {
		return notifyRequested(
				MotoMondialeFeatureDescriptorEnum.curveASinistra,
				curveASinistra);
	}

	public void setCurveASinistra(Numero curveASinistra) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.curveASinistra,
				this.curveASinistra, this.curveASinistra = curveASinistra);
	}

	private Numero giri;

	public Numero getGiri() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.giri, giri);
	}

	public void setGiri(Numero giri) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.giri, this.giri,
				this.giri = giri);
	}

	public int wSize() {
		return 6;
	}
}
