package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class ClassificatoImpl extends AbstractSimpleEntity implements
		Classificato {
	private static final long serialVersionUID = 1;

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Classificato_ord;
	}

	public EntityDescriptor<Classificato> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Classificato;
	}

	private Nome nome;

	public Nome getNome() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public void setNome(Nome nome) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.nome, this.nome,
				this.nome = nome);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getNome();
		case 1:
			return getPunti();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setNome(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Nome));
			break;
		case 1:
			setPunti(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Numero));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Numero punti;

	public Numero getPunti() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.punti, punti);
	}

	public void setPunti(Numero punti) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.punti, this.punti,
				this.punti = punti);
	}

	public int wSize() {
		return 2;
	}
}
