package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractDataEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import org.whole.lang.util.StringUtils;
import java.util.Date;

/** 
 * @generator Whole
 */
public class DataImpl extends AbstractDataEntity implements Data {
	private static final long serialVersionUID = 1;
	private java.util.Date value;

	public java.util.Date getValue() {
		return notifyRequested(value);
	}

	public void setValue(java.util.Date value) {
		notifyChanged(this.value, this.value = value);
	}

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Data_ord;
	}

	public EntityDescriptor<Data> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Data;
	}

	public Object wGetValue() {
		return getValue();
	}

	public void wSetValue(Object value) {
		setValue((java.util.Date) value);
	}

	public String wStringValue() {
		return StringUtils.toExtendedISO8601DateTime(value);
	}

	public void wSetValue(String value) {
		try {
			setValue(StringUtils.fromExtendedISO8601DateTime(value));
		} catch (IllegalArgumentException e) {
		}
	}

	public Date wDateValue() {
		return value;
	}

	public void wSetValue(Date value) {
		setValue((Date) value);
	}
}
