package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class GaraImpl extends AbstractSimpleEntity implements Gara {
	private static final long serialVersionUID = 1;

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Gara_ord;
	}

	public EntityDescriptor<Gara> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Gara;
	}

	private Nome nomeCircuito;

	public Nome getNomeCircuito() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.nomeCircuito,
				nomeCircuito);
	}

	public void setNomeCircuito(Nome nomeCircuito) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.nomeCircuito,
				this.nomeCircuito, this.nomeCircuito = nomeCircuito);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getNomeCircuito();
		case 1:
			return getData();
		case 2:
			return getOrdineDArrivo();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setNomeCircuito(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Nome));
			break;
		case 1:
			setData(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Data));
			break;
		case 2:
			setOrdineDArrivo(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.OrdineDArrivo));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Data data;

	public Data getData() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.data, data);
	}

	public void setData(Data data) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.data, this.data,
				this.data = data);
	}

	private OrdineDArrivo ordineDArrivo;

	public OrdineDArrivo getOrdineDArrivo() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.ordineDArrivo,
				ordineDArrivo);
	}

	public void setOrdineDArrivo(OrdineDArrivo ordineDArrivo) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.ordineDArrivo,
				this.ordineDArrivo, this.ordineDArrivo = ordineDArrivo);
	}

	public int wSize() {
		return 3;
	}
}
