package labss.lang.motomondiale.visitors;

import org.whole.lang.visitors.GenericForwardStrategyVisitor;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class MotoMondialeForwardStrategyVisitor extends
		GenericForwardStrategyVisitor<IMotoMondialeVisitor> implements
		IMotoMondialeVisitor {
	public MotoMondialeForwardStrategyVisitor() {
		this(new MotoMondialeIdentityVisitor());
	}

	public MotoMondialeForwardStrategyVisitor(
			IMotoMondialeVisitor... initialStrategies) {
		super(initialStrategies);
	}

	public void visit(IEntity entity) {
		((IMotoMondialeEntity) entity).accept(this);
	}

	public void visit(MotoMondiale entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Calendario entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Gara entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(OrdineDArrivo entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Circuiti entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Circuito entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Teams entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Team entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Pilota entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Costruttore entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Classifiche entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Classifica entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Classificati entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Classificato entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Nome entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Numero entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Data entity) {
		wGetStrategy().visit(entity);
	}
}
