package labss.lang.motomondiale.visitors;

import org.whole.lang.visitors.AbstractVisitor;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public abstract class MotoMondialeIdentitySwitchVisitor extends AbstractVisitor
		implements IMotoMondialeVisitor {
	public void visit(IEntity entity) {
		switch (entity.wGetEntityOrd()) {
		case MotoMondialeEntityDescriptorEnum.MotoMondiale_ord:
			visit((MotoMondiale) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Calendario_ord:
			visit((Calendario) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Gara_ord:
			visit((Gara) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.OrdineDArrivo_ord:
			visit((OrdineDArrivo) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Circuiti_ord:
			visit((Circuiti) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Circuito_ord:
			visit((Circuito) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Teams_ord:
			visit((Teams) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Team_ord:
			visit((Team) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Pilota_ord:
			visit((Pilota) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Costruttore_ord:
			visit((Costruttore) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Classifiche_ord:
			visit((Classifiche) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Classifica_ord:
			visit((Classifica) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Classificati_ord:
			visit((Classificati) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Classificato_ord:
			visit((Classificato) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Nome_ord:
			visit((Nome) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Numero_ord:
			visit((Numero) entity);
			break;
		case MotoMondialeEntityDescriptorEnum.Data_ord:
			visit((Data) entity);
			break;
		}
	}
}
