package labss.lang.regexp.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.regexp.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.regexp.visitors.IRegExpVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class RegExpAdapter extends AbstractEntityAdapter implements RegExp {
	private static final long serialVersionUID = 1;

	public RegExpAdapter(IEntity implementor) {
		super(implementor);
	}

	public RegExpAdapter() {
	}

	public void accept(IRegExpVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<RegExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.RegExp;
	}
}
