package labss.lang.regexp.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.regexp.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.regexp.visitors.IRegExpVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import labss.lang.regexp.reflect.RegExpFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class RepetitionExpAdapter extends AbstractEntityAdapter implements
		RepetitionExp {
	private static final long serialVersionUID = 1;

	public RepetitionExpAdapter(IEntity implementor) {
		super(implementor);
	}

	public RepetitionExpAdapter() {
	}

	public void accept(IRegExpVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<RepetitionExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.RepetitionExp;
	}

	public RegExp getRepetition() {
		return (RegExp) wGet(RegExpFeatureDescriptorEnum.repetition);
	}

	public void setRepetition(RegExp repetition) {
		wSet(RegExpFeatureDescriptorEnum.repetition, repetition);
	}
}
