package labss.lang.regexp.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.regexp.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.regexp.visitors.IRegExpVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import labss.lang.regexp.reflect.RegExpFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class SequenceExpAdapter extends AbstractEntityAdapter implements
		SequenceExp {
	private static final long serialVersionUID = 1;

	public SequenceExpAdapter(IEntity implementor) {
		super(implementor);
	}

	public SequenceExpAdapter() {
	}

	public void accept(IRegExpVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<SequenceExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.SequenceExp;
	}

	public RegExp getExp1() {
		return (RegExp) wGet(RegExpFeatureDescriptorEnum.exp1);
	}

	public void setExp1(RegExp exp1) {
		wSet(RegExpFeatureDescriptorEnum.exp1, exp1);
	}

	public RegExp getExp2() {
		return (RegExp) wGet(RegExpFeatureDescriptorEnum.exp2);
	}

	public void setExp2(RegExp exp2) {
		wSet(RegExpFeatureDescriptorEnum.exp2, exp2);
	}
}
