package labss.lang.regexp.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.regexp.model.*;
import labss.lang.regexp.visitors.IRegExpVisitor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class AlternationExpImpl extends AbstractSimpleEntity implements
		AlternationExp {
	private static final long serialVersionUID = 1;

	public void accept(IRegExpVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return RegExpEntityDescriptorEnum.AlternationExp_ord;
	}

	public EntityDescriptor<AlternationExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.AlternationExp;
	}

	private RegExp alt1;

	public RegExp getAlt1() {
		return notifyRequested(RegExpFeatureDescriptorEnum.alt1, alt1);
	}

	public void setAlt1(RegExp alt1) {
		notifyChanged(RegExpFeatureDescriptorEnum.alt1, this.alt1,
				this.alt1 = alt1);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getAlt1();
		case 1:
			return getAlt2();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setAlt1(value.wGetAdapter(RegExpEntityDescriptorEnum.RegExp));
			break;
		case 1:
			setAlt2(value.wGetAdapter(RegExpEntityDescriptorEnum.RegExp));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private RegExp alt2;

	public RegExp getAlt2() {
		return notifyRequested(RegExpFeatureDescriptorEnum.alt2, alt2);
	}

	public void setAlt2(RegExp alt2) {
		notifyChanged(RegExpFeatureDescriptorEnum.alt2, this.alt2,
				this.alt2 = alt2);
	}

	public int wSize() {
		return 2;
	}
}
