package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import labss.lang.il.reflect.ILFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class AssignmentStatementAdapter extends AbstractEntityAdapter implements
		AssignmentStatement {
	private static final long serialVersionUID = 1;

	public AssignmentStatementAdapter(IEntity implementor) {
		super(implementor);
	}

	public AssignmentStatementAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<AssignmentStatement> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.AssignmentStatement;
	}

	public Variable getVariable() {
		return (Variable) wGet(ILFeatureDescriptorEnum.variable);
	}

	public void setVariable(Variable variable) {
		wSet(ILFeatureDescriptorEnum.variable, variable);
	}

	public Expression getExpression() {
		return (Expression) wGet(ILFeatureDescriptorEnum.expression);
	}

	public void setExpression(Expression expression) {
		wSet(ILFeatureDescriptorEnum.expression, expression);
	}
}
