package labss.lang.il.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.il.model.*;
import labss.lang.il.visitors.IILVisitor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class AssignmentStatementImpl extends AbstractSimpleEntity implements
		AssignmentStatement {
	private static final long serialVersionUID = 1;

	public void accept(IILVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return ILEntityDescriptorEnum.AssignmentStatement_ord;
	}

	public EntityDescriptor<AssignmentStatement> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.AssignmentStatement;
	}

	private Variable variable;

	public Variable getVariable() {
		return notifyRequested(ILFeatureDescriptorEnum.variable, variable);
	}

	public void setVariable(Variable variable) {
		notifyChanged(ILFeatureDescriptorEnum.variable, this.variable,
				this.variable = variable);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getVariable();
		case 1:
			return getExpression();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setVariable(value.wGetAdapter(ILEntityDescriptorEnum.Variable));
			break;
		case 1:
			setExpression(value.wGetAdapter(ILEntityDescriptorEnum.Expression));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Expression expression;

	public Expression getExpression() {
		return notifyRequested(ILFeatureDescriptorEnum.expression, expression);
	}

	public void setExpression(Expression expression) {
		notifyChanged(ILFeatureDescriptorEnum.expression, this.expression,
				this.expression = expression);
	}

	public int wSize() {
		return 2;
	}
}
