package labss.lang.il.visitors;

import org.whole.lang.visitors.GenericForwardStrategyVisitor;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class ILForwardStrategyVisitor extends
		GenericForwardStrategyVisitor<IILVisitor> implements IILVisitor {
	public ILForwardStrategyVisitor() {
		this(new ILIdentityVisitor());
	}

	public ILForwardStrategyVisitor(IILVisitor... initialStrategies) {
		super(initialStrategies);
	}

	public void visit(IEntity entity) {
		((IILEntity) entity).accept(this);
	}

	public void visit(BlockStatement entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(IfStatement entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(IfElseStatement entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(WhileStatement entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(AssignmentStatement entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(BooleanLiteral entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(IntLiteral entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Variable entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Addition entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Subtraction entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Multiplication entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Division entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(And entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Or entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Not entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(Equals entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(LessThan entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(GreaterThan entity) {
		wGetStrategy().visit(entity);
	}
}
