package labss.lang.il.visitors;

import org.whole.lang.visitors.AbstractVisitor;
import org.whole.lang.visitors.IBinaryVisitor;
import labss.lang.il.model.*;
import org.whole.lang.visitors.IVisitor;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class ILSequenceVisitor extends AbstractVisitor implements IILVisitor,
		IBinaryVisitor {
	protected IILVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = (IILVisitor) visitor1;
	}

	protected IILVisitor visitor2;

	public void wSetVisitor2(IVisitor visitor2) {
		this.visitor2 = (IILVisitor) visitor2;
	}

	public ILSequenceVisitor(IVisitor visitor1, IVisitor visitor2) {
		wSetVisitor1(visitor1);
		wSetVisitor2(visitor2);
	}

	public void visit(IEntity entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(BlockStatement entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(IfStatement entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(IfElseStatement entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(WhileStatement entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(AssignmentStatement entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(BooleanLiteral entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(IntLiteral entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Variable entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Addition entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Subtraction entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Multiplication entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Division entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(And entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Or entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Not entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Equals entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(LessThan entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(GreaterThan entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}
}
