package labss.lang.motomondiale.builders;

import org.whole.lang.builders.GenericIdentityBuilder;
import org.whole.lang.contexts.IEntityContext;
import org.whole.lang.reflect.FeatureDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.model.EnumValue;
import labss.lang.motomondiale.model.CostruttoreEnum.Value;
import java.util.Date;

/** 
 * @generator Whole
 */
public class MotoMondialeGenericBuilderAdapter extends GenericIdentityBuilder {
	private IMotoMondialeBuilder specificBuilder;

	public MotoMondialeGenericBuilderAdapter(
			IMotoMondialeBuilder specificBuilder) {
		this.specificBuilder = specificBuilder;
	}

	public MotoMondialeGenericBuilderAdapter(
			IMotoMondialeBuilder specificBuilder, IEntityContext entityContext) {
		this(specificBuilder);
		wSetEntityContext(entityContext);
	}

	public void visit() {
	}

	public void wFeature(FeatureDescriptor featureDesc) {
		switch (featureDesc.ordinal) {
		case MotoMondialeFeatureDescriptorEnum.calendario_ord:
			specificBuilder.calendario();
			break;
		case MotoMondialeFeatureDescriptorEnum.circuiti_ord:
			specificBuilder.circuiti();
			break;
		case MotoMondialeFeatureDescriptorEnum.teams_ord:
			specificBuilder.teams();
			break;
		case MotoMondialeFeatureDescriptorEnum.classifiche_ord:
			specificBuilder.classifiche();
			break;
		case MotoMondialeFeatureDescriptorEnum.nomeCircuito_ord:
			specificBuilder.nomeCircuito();
			break;
		case MotoMondialeFeatureDescriptorEnum.data_ord:
			specificBuilder.data();
			break;
		case MotoMondialeFeatureDescriptorEnum.ordineDArrivo_ord:
			specificBuilder.ordineDArrivo();
			break;
		case MotoMondialeFeatureDescriptorEnum.nome_ord:
			specificBuilder.nome();
			break;
		case MotoMondialeFeatureDescriptorEnum.luogo_ord:
			specificBuilder.luogo();
			break;
		case MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato_ord:
			specificBuilder.lunghezzaTracciato();
			break;
		case MotoMondialeFeatureDescriptorEnum.curveADestra_ord:
			specificBuilder.curveADestra();
			break;
		case MotoMondialeFeatureDescriptorEnum.curveASinistra_ord:
			specificBuilder.curveASinistra();
			break;
		case MotoMondialeFeatureDescriptorEnum.giri_ord:
			specificBuilder.giri();
			break;
		case MotoMondialeFeatureDescriptorEnum.costruttore_ord:
			specificBuilder.costruttore();
			break;
		case MotoMondialeFeatureDescriptorEnum.pilota1_ord:
			specificBuilder.pilota1();
			break;
		case MotoMondialeFeatureDescriptorEnum.pilota2_ord:
			specificBuilder.pilota2();
			break;
		case MotoMondialeFeatureDescriptorEnum.numero_ord:
			specificBuilder.numero();
			break;
		case MotoMondialeFeatureDescriptorEnum.classificati_ord:
			specificBuilder.classificati();
			break;
		case MotoMondialeFeatureDescriptorEnum.punti_ord:
			specificBuilder.punti();
			break;
		}
	}

	public void wEntity(EntityDescriptor<?> entityDesc) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.MotoMondiale_ord:
			specificBuilder.MotoMondiale();
			break;
		case MotoMondialeEntityDescriptorEnum.Calendario_ord:
			specificBuilder.Calendario();
			break;
		case MotoMondialeEntityDescriptorEnum.Gara_ord:
			specificBuilder.Gara();
			break;
		case MotoMondialeEntityDescriptorEnum.OrdineDArrivo_ord:
			specificBuilder.OrdineDArrivo();
			break;
		case MotoMondialeEntityDescriptorEnum.Circuiti_ord:
			specificBuilder.Circuiti();
			break;
		case MotoMondialeEntityDescriptorEnum.Circuito_ord:
			specificBuilder.Circuito();
			break;
		case MotoMondialeEntityDescriptorEnum.Teams_ord:
			specificBuilder.Teams();
			break;
		case MotoMondialeEntityDescriptorEnum.Team_ord:
			specificBuilder.Team();
			break;
		case MotoMondialeEntityDescriptorEnum.Pilota_ord:
			specificBuilder.Pilota();
			break;
		case MotoMondialeEntityDescriptorEnum.Classifiche_ord:
			specificBuilder.Classifiche();
			break;
		case MotoMondialeEntityDescriptorEnum.Classifica_ord:
			specificBuilder.Classifica();
			break;
		case MotoMondialeEntityDescriptorEnum.Classificati_ord:
			specificBuilder.Classificati();
			break;
		case MotoMondialeEntityDescriptorEnum.Classificato_ord:
			specificBuilder.Classificato();
			break;
		}
	}

	public void wEntity_(EntityDescriptor<?> entityDesc) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.MotoMondiale_ord:
			specificBuilder.MotoMondiale_();
			break;
		case MotoMondialeEntityDescriptorEnum.Calendario_ord:
			specificBuilder.Calendario_();
			break;
		case MotoMondialeEntityDescriptorEnum.Gara_ord:
			specificBuilder.Gara_();
			break;
		case MotoMondialeEntityDescriptorEnum.OrdineDArrivo_ord:
			specificBuilder.OrdineDArrivo_();
			break;
		case MotoMondialeEntityDescriptorEnum.Circuiti_ord:
			specificBuilder.Circuiti_();
			break;
		case MotoMondialeEntityDescriptorEnum.Circuito_ord:
			specificBuilder.Circuito_();
			break;
		case MotoMondialeEntityDescriptorEnum.Teams_ord:
			specificBuilder.Teams_();
			break;
		case MotoMondialeEntityDescriptorEnum.Team_ord:
			specificBuilder.Team_();
			break;
		case MotoMondialeEntityDescriptorEnum.Pilota_ord:
			specificBuilder.Pilota_();
			break;
		case MotoMondialeEntityDescriptorEnum.Classifiche_ord:
			specificBuilder.Classifiche_();
			break;
		case MotoMondialeEntityDescriptorEnum.Classifica_ord:
			specificBuilder.Classifica_();
			break;
		case MotoMondialeEntityDescriptorEnum.Classificati_ord:
			specificBuilder.Classificati_();
			break;
		case MotoMondialeEntityDescriptorEnum.Classificato_ord:
			specificBuilder.Classificato_();
			break;
		}
	}

	public void _wEntity(EntityDescriptor<?> entityDesc) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.MotoMondiale_ord:
			specificBuilder._MotoMondiale();
			break;
		case MotoMondialeEntityDescriptorEnum.Calendario_ord:
			specificBuilder._Calendario();
			break;
		case MotoMondialeEntityDescriptorEnum.Gara_ord:
			specificBuilder._Gara();
			break;
		case MotoMondialeEntityDescriptorEnum.OrdineDArrivo_ord:
			specificBuilder._OrdineDArrivo();
			break;
		case MotoMondialeEntityDescriptorEnum.Circuiti_ord:
			specificBuilder._Circuiti();
			break;
		case MotoMondialeEntityDescriptorEnum.Circuito_ord:
			specificBuilder._Circuito();
			break;
		case MotoMondialeEntityDescriptorEnum.Teams_ord:
			specificBuilder._Teams();
			break;
		case MotoMondialeEntityDescriptorEnum.Team_ord:
			specificBuilder._Team();
			break;
		case MotoMondialeEntityDescriptorEnum.Pilota_ord:
			specificBuilder._Pilota();
			break;
		case MotoMondialeEntityDescriptorEnum.Classifiche_ord:
			specificBuilder._Classifiche();
			break;
		case MotoMondialeEntityDescriptorEnum.Classifica_ord:
			specificBuilder._Classifica();
			break;
		case MotoMondialeEntityDescriptorEnum.Classificati_ord:
			specificBuilder._Classificati();
			break;
		case MotoMondialeEntityDescriptorEnum.Classificato_ord:
			specificBuilder._Classificato();
			break;
		}
	}

	public void wEntity_(EntityDescriptor<?> entityDesc, int initialCapacity) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.Calendario_ord:
			specificBuilder.Calendario_(initialCapacity);
			break;
		case MotoMondialeEntityDescriptorEnum.OrdineDArrivo_ord:
			specificBuilder.OrdineDArrivo_(initialCapacity);
			break;
		case MotoMondialeEntityDescriptorEnum.Circuiti_ord:
			specificBuilder.Circuiti_(initialCapacity);
			break;
		case MotoMondialeEntityDescriptorEnum.Teams_ord:
			specificBuilder.Teams_(initialCapacity);
			break;
		case MotoMondialeEntityDescriptorEnum.Classifiche_ord:
			specificBuilder.Classifiche_(initialCapacity);
			break;
		case MotoMondialeEntityDescriptorEnum.Classificati_ord:
			specificBuilder.Classificati_(initialCapacity);
			break;
		}
	}

	public void wEntity(EntityDescriptor<?> entityDesc, EnumValue value) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.Costruttore_ord:
			specificBuilder.Costruttore((Value) value);
			break;
		}
	}

	public void wEntity(EntityDescriptor<?> entityDesc, String value) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.Nome_ord:
			specificBuilder.Nome(value);
			break;
		}
	}

	public void wEntity(EntityDescriptor<?> entityDesc, int value) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.Numero_ord:
			specificBuilder.Numero(value);
			break;
		}
	}

	public void wEntity(EntityDescriptor<?> entityDesc, Date value) {
		switch (entityDesc.ordinal) {
		case MotoMondialeEntityDescriptorEnum.Data_ord:
			specificBuilder.Data(value);
			break;
		}
	}
}
