package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class PilotaAdapter extends AbstractEntityAdapter implements Pilota {
	private static final long serialVersionUID = 1;

	public PilotaAdapter(IEntity implementor) {
		super(implementor);
	}

	public PilotaAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Pilota> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Pilota;
	}

	public Nome getNome() {
		return (Nome) wGet(MotoMondialeFeatureDescriptorEnum.nome);
	}

	public void setNome(Nome nome) {
		wSet(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public Numero getNumero() {
		return (Numero) wGet(MotoMondialeFeatureDescriptorEnum.numero);
	}

	public void setNumero(Numero numero) {
		wSet(MotoMondialeFeatureDescriptorEnum.numero, numero);
	}
}
