package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class TeamAdapter extends AbstractEntityAdapter implements Team {
	private static final long serialVersionUID = 1;

	public TeamAdapter(IEntity implementor) {
		super(implementor);
	}

	public TeamAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Team> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Team;
	}

	public Nome getNome() {
		return (Nome) wGet(MotoMondialeFeatureDescriptorEnum.nome);
	}

	public void setNome(Nome nome) {
		wSet(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public Costruttore getCostruttore() {
		return (Costruttore) wGet(MotoMondialeFeatureDescriptorEnum.costruttore);
	}

	public void setCostruttore(Costruttore costruttore) {
		wSet(MotoMondialeFeatureDescriptorEnum.costruttore, costruttore);
	}

	public Pilota getPilota1() {
		return (Pilota) wGet(MotoMondialeFeatureDescriptorEnum.pilota1);
	}

	public void setPilota1(Pilota pilota1) {
		wSet(MotoMondialeFeatureDescriptorEnum.pilota1, pilota1);
	}

	public Pilota getPilota2() {
		return (Pilota) wGet(MotoMondialeFeatureDescriptorEnum.pilota2);
	}

	public void setPilota2(Pilota pilota2) {
		wSet(MotoMondialeFeatureDescriptorEnum.pilota2, pilota2);
	}
}
