package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class ClassificaImpl extends AbstractSimpleEntity implements Classifica {
	private static final long serialVersionUID = 1;

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Classifica_ord;
	}

	public EntityDescriptor<Classifica> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Classifica;
	}

	private Nome nome;

	public Nome getNome() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public void setNome(Nome nome) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.nome, this.nome,
				this.nome = nome);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getNome();
		case 1:
			return getClassificati();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setNome(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Nome));
			break;
		case 1:
			setClassificati(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Classificati));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Classificati classificati;

	public Classificati getClassificati() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.classificati,
				classificati);
	}

	public void setClassificati(Classificati classificati) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.classificati,
				this.classificati, this.classificati = classificati);
	}

	public int wSize() {
		return 2;
	}
}
