package labss.lang.motomondiale.reflect;

import org.whole.lang.reflect.AbstractDeployer;
import org.whole.lang.reflect.ReflectionFactory;
import org.whole.lang.builders.IBuilderFactory;
import org.whole.lang.builders.IBuilder;
import org.whole.lang.contexts.IEntityContext;
import labss.lang.motomondiale.builders.IMotoMondialeBuilder;
import labss.lang.motomondiale.builders.MotoMondialeGenericBuilderAdapter;
import org.whole.lang.builders.GenericBuilderAdapterOperation;
import labss.lang.motomondiale.builders.MotoMondialeSpecificBuilderAdapter;
import org.whole.lang.builders.SpecificBuilderAdapterOperation;

/** 
 * @generator Whole
 */
public class MotoMondialeLanguageDeployer extends AbstractDeployer {
	public void deploy(ReflectionFactory platform) {
		platform.addLanguageKit(MotoMondialeLanguageKit.ID);
		platform.addOperationFactory(MotoMondialeLanguageKit.ID,
				GenericBuilderAdapterOperation.ID, new IBuilderFactory() {
					public IBuilder create(IBuilder strategy,
							IEntityContext entityContext) {
						return new MotoMondialeGenericBuilderAdapter(
								(IMotoMondialeBuilder) strategy, entityContext);
					}
				});
		platform.addOperationFactory(MotoMondialeLanguageKit.ID,
				SpecificBuilderAdapterOperation.ID, new IBuilderFactory() {
					public IBuilder create(IBuilder strategy,
							IEntityContext entityContext) {
						return new MotoMondialeSpecificBuilderAdapter(strategy,
								entityContext);
					}
				});
	}

	public void undeploy(ReflectionFactory platform) {
		platform.removeLanguageKit(MotoMondialeLanguageKit.ID);
	}
}
