package labss.lang.regexp.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.regexp.model.*;
import labss.lang.regexp.visitors.IRegExpVisitor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class RepetitionExpImpl extends AbstractSimpleEntity implements
		RepetitionExp {
	private static final long serialVersionUID = 1;

	public void accept(IRegExpVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return RegExpEntityDescriptorEnum.RepetitionExp_ord;
	}

	public EntityDescriptor<RepetitionExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.RepetitionExp;
	}

	private RegExp repetition;

	public RegExp getRepetition() {
		return notifyRequested(RegExpFeatureDescriptorEnum.repetition,
				repetition);
	}

	public void setRepetition(RegExp repetition) {
		notifyChanged(RegExpFeatureDescriptorEnum.repetition, this.repetition,
				this.repetition = repetition);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getRepetition();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setRepetition(value.wGetAdapter(RegExpEntityDescriptorEnum.RegExp));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	public int wSize() {
		return 1;
	}
}
