package labss.lang.regexp.reflect;

import org.whole.lang.templates.AbstractTemplateManager;
import org.whole.lang.templates.AbstractTemplateFactory;
import labss.lang.regexp.model.SequenceExp;
import org.whole.lang.factories.GenericEntityFactory;

/** 
 * @generator Whole
 */
public class RegExpTemplateManager extends AbstractTemplateManager {
	private static class SingletonHolder {
		private static final RegExpTemplateManager instance = new RegExpTemplateManager();
	}

	public static RegExpTemplateManager instance() {
		return SingletonHolder.instance;
	}

	private RegExpTemplateManager() {
		put("empty", new AbstractTemplateFactory<SequenceExp>() {
			public SequenceExp create() {
				return GenericEntityFactory.instance
						.create(RegExpEntityDescriptorEnum.SequenceExp);
			}
		});
	}
}
