package labss.lang.regexp.visitors;

import org.whole.lang.visitors.AbstractVisitor;
import labss.lang.regexp.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public abstract class RegExpIdentitySwitchVisitor extends AbstractVisitor
		implements IRegExpVisitor {
	public void visit(IEntity entity) {
		switch (entity.wGetEntityOrd()) {
		case RegExpEntityDescriptorEnum.SequenceExp_ord:
			visit((SequenceExp) entity);
			break;
		case RegExpEntityDescriptorEnum.AlternationExp_ord:
			visit((AlternationExp) entity);
			break;
		case RegExpEntityDescriptorEnum.RepetitionExp_ord:
			visit((RepetitionExp) entity);
			break;
		case RegExpEntityDescriptorEnum.LiteralExp_ord:
			visit((LiteralExp) entity);
			break;
		}
	}
}
